"""tenant admin password update

Revision ID: 18b29ab247fb
Revises: 9f2813487e00
Create Date: 2020-03-05 12:37:42.056513

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '18b29ab247fb' # pragma: allowlist secret
down_revision = '9f2813487e00' # pragma: allowlist secret
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "portfolio_state_machines",
        "state",
        type_=sa.Enum(
            "UNSTARTED",
            "STARTING",
            "STARTED",
            "COMPLETED",
            "FAILED",
            "TENANT_CREATED",
            "TENANT_IN_PROGRESS",
            "TENANT_FAILED",
            "BILLING_PROFILE_CREATION_CREATED",
            "BILLING_PROFILE_CREATION_IN_PROGRESS",
            "BILLING_PROFILE_CREATION_FAILED",
            "BILLING_PROFILE_VERIFICATION_CREATED",
            "BILLING_PROFILE_VERIFICATION_IN_PROGRESS",
            "BILLING_PROFILE_VERIFICATION_FAILED",
            "BILLING_PROFILE_TENANT_ACCESS_CREATED",
            "BILLING_PROFILE_TENANT_ACCESS_IN_PROGRESS",
            "BILLING_PROFILE_TENANT_ACCESS_FAILED",
            "TASK_ORDER_BILLING_CREATION_CREATED",
            "TASK_ORDER_BILLING_CREATION_IN_PROGRESS",
            "TASK_ORDER_BILLING_CREATION_FAILED",
            "TASK_ORDER_BILLING_VERIFICATION_CREATED",
            "TASK_ORDER_BILLING_VERIFICATION_IN_PROGRESS",
            "TASK_ORDER_BILLING_VERIFICATION_FAILED",
            "BILLING_INSTRUCTION_CREATED",
            "BILLING_INSTRUCTION_IN_PROGRESS",
            "BILLING_INSTRUCTION_FAILED",
            "PRODUCT_PURCHASE_CREATED",
            "PRODUCT_PURCHASE_IN_PROGRESS",
            "PRODUCT_PURCHASE_FAILED",
            "PRODUCT_PURCHASE_VERIFICATION_CREATED",
            "PRODUCT_PURCHASE_VERIFICATION_IN_PROGRESS",
            "PRODUCT_PURCHASE_VERIFICATION_FAILED",
            "TENANT_PRINCIPAL_APP_CREATED",
            "TENANT_PRINCIPAL_APP_IN_PROGRESS",
            "TENANT_PRINCIPAL_APP_FAILED",
            "TENANT_PRINCIPAL_CREATED",
            "TENANT_PRINCIPAL_IN_PROGRESS",
            "TENANT_PRINCIPAL_FAILED",
            "TENANT_PRINCIPAL_CREDENTIAL_CREATED",
            "TENANT_PRINCIPAL_CREDENTIAL_IN_PROGRESS",
            "TENANT_PRINCIPAL_CREDENTIAL_FAILED",
            "ADMIN_ROLE_DEFINITION_CREATED",
            "ADMIN_ROLE_DEFINITION_IN_PROGRESS",
            "ADMIN_ROLE_DEFINITION_FAILED",
            "PRINCIPAL_ADMIN_ROLE_CREATED",
            "PRINCIPAL_ADMIN_ROLE_IN_PROGRESS",
            "PRINCIPAL_ADMIN_ROLE_FAILED",
            "INITIAL_MGMT_GROUP_CREATED",
            "INITIAL_MGMT_GROUP_IN_PROGRESS",
            "INITIAL_MGMT_GROUP_FAILED",
            "INITIAL_MGMT_GROUP_VERIFICATION_CREATED",
            "INITIAL_MGMT_GROUP_VERIFICATION_IN_PROGRESS",
            "INITIAL_MGMT_GROUP_VERIFICATION_FAILED",
            "TENANT_ADMIN_OWNERSHIP_CREATED",
            "TENANT_ADMIN_OWNERSHIP_IN_PROGRESS",
            "TENANT_ADMIN_OWNERSHIP_FAILED",
            "TENANT_PRINCIPAL_OWNERSHIP_CREATED",
            "TENANT_PRINCIPAL_OWNERSHIP_IN_PROGRESS",
            "TENANT_PRINCIPAL_OWNERSHIP_FAILED",
            "BILLING_OWNER_CREATED",
            "BILLING_OWNER_IN_PROGRESS",
            "BILLING_OWNER_FAILED",
            name="fsmstates",
            native_enum=False,
        ),
        existing_type=sa.Enum(
            "UNSTARTED",
            "STARTING",
            "STARTED",
            "COMPLETED",
            "FAILED",
            "TENANT_CREATED",
            "TENANT_IN_PROGRESS",
            "TENANT_FAILED",
            "BILLING_PROFILE_CREATION_CREATED",
            "BILLING_PROFILE_CREATION_IN_PROGRESS",
            "BILLING_PROFILE_CREATION_FAILED",
            "BILLING_PROFILE_VERIFICATION_CREATED",
            "BILLING_PROFILE_VERIFICATION_IN_PROGRESS",
            "BILLING_PROFILE_VERIFICATION_FAILED",
            "BILLING_PROFILE_TENANT_ACCESS_CREATED",
            "BILLING_PROFILE_TENANT_ACCESS_IN_PROGRESS",
            "BILLING_PROFILE_TENANT_ACCESS_FAILED",
            "TASK_ORDER_BILLING_CREATION_CREATED",
            "TASK_ORDER_BILLING_CREATION_IN_PROGRESS",
            "TASK_ORDER_BILLING_CREATION_FAILED",
            "TASK_ORDER_BILLING_VERIFICATION_CREATED",
            "TASK_ORDER_BILLING_VERIFICATION_IN_PROGRESS",
            "TASK_ORDER_BILLING_VERIFICATION_FAILED",
            "BILLING_INSTRUCTION_CREATED",
            "BILLING_INSTRUCTION_IN_PROGRESS",
            "BILLING_INSTRUCTION_FAILED",
            "PRODUCT_PURCHASE_CREATED",
            "PRODUCT_PURCHASE_IN_PROGRESS",
            "PRODUCT_PURCHASE_FAILED",
            "PRODUCT_PURCHASE_VERIFICATION_CREATED",
            "PRODUCT_PURCHASE_VERIFICATION_IN_PROGRESS",
            "PRODUCT_PURCHASE_VERIFICATION_FAILED",
            "TENANT_PRINCIPAL_APP_CREATED",
            "TENANT_PRINCIPAL_APP_IN_PROGRESS",
            "TENANT_PRINCIPAL_APP_FAILED",
            "TENANT_PRINCIPAL_CREATED",
            "TENANT_PRINCIPAL_IN_PROGRESS",
            "TENANT_PRINCIPAL_FAILED",
            "TENANT_PRINCIPAL_CREDENTIAL_CREATED",
            "TENANT_PRINCIPAL_CREDENTIAL_IN_PROGRESS",
            "TENANT_PRINCIPAL_CREDENTIAL_FAILED",
            "ADMIN_ROLE_DEFINITION_CREATED",
            "ADMIN_ROLE_DEFINITION_IN_PROGRESS",
            "ADMIN_ROLE_DEFINITION_FAILED",
            "PRINCIPAL_ADMIN_ROLE_CREATED",
            "PRINCIPAL_ADMIN_ROLE_IN_PROGRESS",
            "PRINCIPAL_ADMIN_ROLE_FAILED",
            "INITIAL_MGMT_GROUP_CREATED",
            "INITIAL_MGMT_GROUP_IN_PROGRESS",
            "INITIAL_MGMT_GROUP_FAILED",
            "INITIAL_MGMT_GROUP_VERIFICATION_CREATED",
            "INITIAL_MGMT_GROUP_VERIFICATION_IN_PROGRESS",
            "INITIAL_MGMT_GROUP_VERIFICATION_FAILED",
            "TENANT_ADMIN_OWNERSHIP_CREATED",
            "TENANT_ADMIN_OWNERSHIP_IN_PROGRESS",
            "TENANT_ADMIN_OWNERSHIP_FAILED",
            "TENANT_ADMIN_CREDENTIAL_RESET_CREATED",
            "TENANT_ADMIN_CREDENTIAL_RESET_IN_PROGRESS",
            "TENANT_ADMIN_CREDENTIAL_RESET_FAILED",
            "TENANT_PRINCIPAL_OWNERSHIP_CREATED",
            "TENANT_PRINCIPAL_OWNERSHIP_IN_PROGRESS",
            "TENANT_PRINCIPAL_OWNERSHIP_FAILED",
            "BILLING_OWNER_CREATED",
            "BILLING_OWNER_IN_PROGRESS",
            "BILLING_OWNER_FAILED",
            name="fsmstates",
            native_enum=False,
        ),
        existing_nullable=False,
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "portfolio_state_machines",
        "state",
        type_=sa.Enum(
            "UNSTARTED",
            "STARTING",
            "STARTED",
            "COMPLETED",
            "FAILED",
            "TENANT_CREATED",
            "TENANT_IN_PROGRESS",
            "TENANT_FAILED",
            "BILLING_PROFILE_CREATION_CREATED",
            "BILLING_PROFILE_CREATION_IN_PROGRESS",
            "BILLING_PROFILE_CREATION_FAILED",
            "BILLING_PROFILE_VERIFICATION_CREATED",
            "BILLING_PROFILE_VERIFICATION_IN_PROGRESS",
            "BILLING_PROFILE_VERIFICATION_FAILED",
            "BILLING_PROFILE_TENANT_ACCESS_CREATED",
            "BILLING_PROFILE_TENANT_ACCESS_IN_PROGRESS",
            "BILLING_PROFILE_TENANT_ACCESS_FAILED",
            "TASK_ORDER_BILLING_CREATION_CREATED",
            "TASK_ORDER_BILLING_CREATION_IN_PROGRESS",
            "TASK_ORDER_BILLING_CREATION_FAILED",
            "TASK_ORDER_BILLING_VERIFICATION_CREATED",
            "TASK_ORDER_BILLING_VERIFICATION_IN_PROGRESS",
            "TASK_ORDER_BILLING_VERIFICATION_FAILED",
            "BILLING_INSTRUCTION_CREATED",
            "BILLING_INSTRUCTION_IN_PROGRESS",
            "BILLING_INSTRUCTION_FAILED",
            "PRODUCT_PURCHASE_CREATED",
            "PRODUCT_PURCHASE_IN_PROGRESS",
            "PRODUCT_PURCHASE_FAILED",
            "PRODUCT_PURCHASE_VERIFICATION_CREATED",
            "PRODUCT_PURCHASE_VERIFICATION_IN_PROGRESS",
            "PRODUCT_PURCHASE_VERIFICATION_FAILED",
            "TENANT_PRINCIPAL_APP_CREATED",
            "TENANT_PRINCIPAL_APP_IN_PROGRESS",
            "TENANT_PRINCIPAL_APP_FAILED",
            "TENANT_PRINCIPAL_CREATED",
            "TENANT_PRINCIPAL_IN_PROGRESS",
            "TENANT_PRINCIPAL_FAILED",
            "TENANT_PRINCIPAL_CREDENTIAL_CREATED",
            "TENANT_PRINCIPAL_CREDENTIAL_IN_PROGRESS",
            "TENANT_PRINCIPAL_CREDENTIAL_FAILED",
            "ADMIN_ROLE_DEFINITION_CREATED",
            "ADMIN_ROLE_DEFINITION_IN_PROGRESS",
            "ADMIN_ROLE_DEFINITION_FAILED",
            "PRINCIPAL_ADMIN_ROLE_CREATED",
            "PRINCIPAL_ADMIN_ROLE_IN_PROGRESS",
            "PRINCIPAL_ADMIN_ROLE_FAILED",
            "INITIAL_MGMT_GROUP_CREATED",
            "INITIAL_MGMT_GROUP_IN_PROGRESS",
            "INITIAL_MGMT_GROUP_FAILED",
            "INITIAL_MGMT_GROUP_VERIFICATION_CREATED",
            "INITIAL_MGMT_GROUP_VERIFICATION_IN_PROGRESS",
            "INITIAL_MGMT_GROUP_VERIFICATION_FAILED",
            "TENANT_ADMIN_OWNERSHIP_CREATED",
            "TENANT_ADMIN_OWNERSHIP_IN_PROGRESS",
            "TENANT_ADMIN_OWNERSHIP_FAILED",
            "TENANT_PRINCIPAL_OWNERSHIP_CREATED",
            "TENANT_PRINCIPAL_OWNERSHIP_IN_PROGRESS",
            "TENANT_PRINCIPAL_OWNERSHIP_FAILED",
            "BILLING_OWNER_CREATED",
            "BILLING_OWNER_IN_PROGRESS",
            "BILLING_OWNER_FAILED",
            name="fsmstates",
            native_enum=False,
        ),
        existing_type=sa.Enum(
            "UNSTARTED",
            "STARTING",
            "STARTED",
            "COMPLETED",
            "FAILED",
            "TENANT_CREATED",
            "TENANT_IN_PROGRESS",
            "TENANT_FAILED",
            "BILLING_PROFILE_CREATION_CREATED",
            "BILLING_PROFILE_CREATION_IN_PROGRESS",
            "BILLING_PROFILE_CREATION_FAILED",
            "BILLING_PROFILE_VERIFICATION_CREATED",
            "BILLING_PROFILE_VERIFICATION_IN_PROGRESS",
            "BILLING_PROFILE_VERIFICATION_FAILED",
            "BILLING_PROFILE_TENANT_ACCESS_CREATED",
            "BILLING_PROFILE_TENANT_ACCESS_IN_PROGRESS",
            "BILLING_PROFILE_TENANT_ACCESS_FAILED",
            "TASK_ORDER_BILLING_CREATION_CREATED",
            "TASK_ORDER_BILLING_CREATION_IN_PROGRESS",
            "TASK_ORDER_BILLING_CREATION_FAILED",
            "TASK_ORDER_BILLING_VERIFICATION_CREATED",
            "TASK_ORDER_BILLING_VERIFICATION_IN_PROGRESS",
            "TASK_ORDER_BILLING_VERIFICATION_FAILED",
            "BILLING_INSTRUCTION_CREATED",
            "BILLING_INSTRUCTION_IN_PROGRESS",
            "BILLING_INSTRUCTION_FAILED",
            "PRODUCT_PURCHASE_CREATED",
            "PRODUCT_PURCHASE_IN_PROGRESS",
            "PRODUCT_PURCHASE_FAILED",
            "PRODUCT_PURCHASE_VERIFICATION_CREATED",
            "PRODUCT_PURCHASE_VERIFICATION_IN_PROGRESS",
            "PRODUCT_PURCHASE_VERIFICATION_FAILED",
            "TENANT_PRINCIPAL_APP_CREATED",
            "TENANT_PRINCIPAL_APP_IN_PROGRESS",
            "TENANT_PRINCIPAL_APP_FAILED",
            "TENANT_PRINCIPAL_CREATED",
            "TENANT_PRINCIPAL_IN_PROGRESS",
            "TENANT_PRINCIPAL_FAILED",
            "TENANT_PRINCIPAL_CREDENTIAL_CREATED",
            "TENANT_PRINCIPAL_CREDENTIAL_IN_PROGRESS",
            "TENANT_PRINCIPAL_CREDENTIAL_FAILED",
            "ADMIN_ROLE_DEFINITION_CREATED",
            "ADMIN_ROLE_DEFINITION_IN_PROGRESS",
            "ADMIN_ROLE_DEFINITION_FAILED",
            "PRINCIPAL_ADMIN_ROLE_CREATED",
            "PRINCIPAL_ADMIN_ROLE_IN_PROGRESS",
            "PRINCIPAL_ADMIN_ROLE_FAILED",
            "INITIAL_MGMT_GROUP_CREATED",
            "INITIAL_MGMT_GROUP_IN_PROGRESS",
            "INITIAL_MGMT_GROUP_FAILED",
            "INITIAL_MGMT_GROUP_VERIFICATION_CREATED",
            "INITIAL_MGMT_GROUP_VERIFICATION_IN_PROGRESS",
            "INITIAL_MGMT_GROUP_VERIFICATION_FAILED",
            "TENANT_ADMIN_OWNERSHIP_CREATED",
            "TENANT_ADMIN_OWNERSHIP_IN_PROGRESS",
            "TENANT_ADMIN_OWNERSHIP_FAILED",
            "TENANT_PRINCIPAL_OWNERSHIP_CREATED",
            "TENANT_PRINCIPAL_OWNERSHIP_IN_PROGRESS",
            "TENANT_PRINCIPAL_OWNERSHIP_FAILED",
            "BILLING_OWNER_CREATED",
            "BILLING_OWNER_IN_PROGRESS",
            "BILLING_OWNER_FAILED",
            name="fsmstates",
            native_enum=False,
        ),
        existing_nullable=False,
    )
    # ### end Alembic commands ###
